List AutoPay methods
curl --request GET \
--url https://{deployment}/api/v1/paymint/autopay/methods \
--header 'X-API-KEY: <api-key>' \
--header 'X-Paymint-MMK-Mode: <api-key>'import requests
url = "https://{deployment}/api/v1/paymint/autopay/methods"
headers = {
"X-API-KEY": "<api-key>",
"X-Paymint-MMK-Mode": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-KEY': '<api-key>', 'X-Paymint-MMK-Mode': '<api-key>'}
};
fetch('https://{deployment}/api/v1/paymint/autopay/methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"success": true,
"error": "<string>"
}{
"success": true,
"error": "<string>"
}AutoPay
List AutoPay methods
Lists a payer’s registered AutoPay methods. Requires a Pro or Paymint-only license.
GET
/
paymint
/
autopay
/
methods
List AutoPay methods
Authorizations
ApiKeyAuth & PaymintMMKModeApiKeyAuth & PaymintHost & PaymintApiKey & PaymintMemberId & PaymintMerchantId & PaymintBusinessNumber
Your deployment's API key (MMK_API_KEY).
Set to true to use MMK mode (uses a license configured on your deployment). Set the Paymint connection fields on the connection page in the Magic Meal Kits app.
Query Parameters
Payer phone number.
Response
Methods
The response is of type object.
Was this page helpful?
⌘I

